aboutsummaryrefslogtreecommitdiff
path: root/common/wrappers/which.sh
diff options
context:
space:
mode:
Diffstat (limited to 'common/wrappers/which.sh')
-rw-r--r--common/wrappers/which.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/common/wrappers/which.sh b/common/wrappers/which.sh
new file mode 100644
index 00000000000..3dc47063b2e
--- /dev/null
+++ b/common/wrappers/which.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+ret=0
+
+while test $# != 0; do
+ case "$1" in
+ -*) ;;
+ *) command -v "$1" || ret=1 ;;
+ esac
+ shift
+done
+
+exit "$ret"